# Queries

## Sample Queries

GraphQL's flexible query structure allows you to explore various data fetching strategies (such as direct lookup, pagination, diffing, etc). This page will help you get started by providing examples using the most techniques.

## Try Out The Queries <a href="#try-out-the-queries" id="try-out-the-queries"></a>

You can try out the Lockers V2 queries below using Graph Protocol's playground:

[https://thegraph.com/explorer/subgraphs/5gByjbCu558gLVwzvWiYD8JPQC8KLk6PSe9AVFy8LC69?view=Playground\&chain=arbitrum-one ↗(opens in a new tab)](https://thegraph.com/explorer/subgraphs/5gByjbCu558gLVwzvWiYD8JPQC8KLk6PSe9AVFy8LC69?view=Playground\&chain=arbitrum-one)

All of the examples can also be accessed from the preset dropdown.

## Get First 10 Locks Where Locked Liquidity is Greater Than 0 <a href="#get-first-10-locks-where-locked-liquidity-is-greater-than-0" id="get-first-10-locks-where-locked-liquidity-is-greater-than-0"></a>

This query returns all locks that currently exist on all AMMs for a given chain (regardless of their expiration).

The amount of locks returned might exceed the Subgraph return limit (currently at `1000` results per query). It is suggested to combine this query with various [Pagination Techniques(opens in a new tab)](https://thegraph.com/docs/en/querying/graphql-api/#pagination).

```
{  locks(first: 10, where: { lockedLiquidity_gt: 0 }) {    id    pool {      totalSupply      token0 {        id      }      token1 {        id      }    }    lockedPercent    lockedLiquidity    unlockDate    owner {      id    }    lockID  }}
```

## Get All Locks After a Block <a href="#get-all-locks-after-a-block" id="get-all-locks-after-a-block"></a>

```
{  locks(where: { _change_block: { number_gte: 18200000 } }) {    id    pool {      totalSupply    }    unlockDate    amount0    amount1    lockedLiquidity  }}
```

## Get All Locks For a Pool <a href="#get-all-locks-for-a-pool" id="get-all-locks-for-a-pool"></a>

```
{  lockedPools(    where: { pool_: { id: "0xf531ca1336663dfb6bd581b011c74482ee20f6d5" } }  ) {    pool {      totalSupply    }    locks {      id      unlockDate      liquidity    }  }}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uncx.network/guides/for-developers/liquidity-lockers/lockers-v2/subgraphs/queries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
